FTGL 2.4.0

Data Structures | Macros | Functions
FTTriangleExtractorGlyph.h File Reference
`#include <FTGL/ftgl.h>`
`#include <vector>`
Include dependency graph for FTTriangleExtractorGlyph.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | FTTriangleExtractorGlyph
| FTPolygonGlyph is a specialisation of FTGlyph for creating tessellated polygon glyphs. More...

## Macros
#define | FTPolyGlyph FTPolygonGlyph

## Functions
FTGLglyph * | ftglCreateTriangleExtractorGlyph (FT_GlyphSlot glyph, float outset, int useDisplayList)
| Create a specialisation of FTGLglyph for creating tessellated polygon glyphs.

## Macro Definition Documentation

## ◆ FTPolyGlyph

#define FTPolyGlyph FTPolygonGlyph

Definition at line 73 of file FTTriangleExtractorGlyph.h.

## Function Documentation

## ◆ ftglCreateTriangleExtractorGlyph()

FTGLglyph * ftglCreateTriangleExtractorGlyph | ( | FT_GlyphSlot | glyph,
|  | float | outset,
|  | int | useDisplayList )

Create a specialisation of FTGLglyph for creating tessellated polygon glyphs.

Parameters

  glyph | The Freetype glyph to be processed
  outset | outset contour size
  useDisplayList | Enable or disable the use of Display Lists for this glyph `true` turns ON display lists. `false` turns OFF display lists.

Returns
  An FTGLglyph* object.